<?php
// $Id: default.php,v 1.1.2.1 2006/11/09 18:38:22 agentken Exp $

/**
 * The theme function for this layout.
 */
function theme_mysite_default_layout($content) {
  // break the array into pieces
  $owner = $content['owner'];
  $mysite = $content['mysite'];
  $data = $content['data'];
  
  // wrap the output
  $output = '<div id="mysite">';
  if(user_access('access user profiles')) {
    $output .= '<div class="profile">' . l(t("%name's profile", array('%name' =>$owner->name)), 'user/' . $owner->uid) . "</div>";
  }
  // cycle through the data
  foreach ($data as $key => $value) {
    $output .= '<div class="group">';
    $output .= '<fieldset class="collapsible">';
    $output .= '<legend>&nbsp;' . $value['title']. "&nbsp;</legend>";
    if (!empty($value['output'])) {
      if (!empty($value['output']['image'])) {
        $output .= $value['output']['image'];
      }      
      $output .= theme('mysite_' . $value['format'] . '_item', $value['output']['items']);
      $output .= '<span class="more">' . l(t('read more'), $value['output']['base']) . '</span>';
    }
    else {
      $output .= t('<p>No content found.</p>');
    }
    $output .= ' <span class="actions">' . $value['actions'] . '</span> ';
    $output .= '</fieldset>';
    $output .= '</div>';    
  }
  $output .= '</div>';
  print theme('page', $output);
  return;
}